LATEXDIFF-VC(1)

NAME
latexdiff-vc - wrapper script that calls latexdiff for different versions of a file under version management (CVS, RCS or SVN)

SYNOPSIS
latexdiff-vc [ latexdiff-options ] [ latexdiff-vc-options ] -r [rev1] [-r rev2] file1.tex [ file2.tex ...]

 or

latexdiff-vc [ latexdiff-options ] [ latexdiff-vc-options ][ --postscript | --pdf ] old.tex new.tex

DESCRIPTION
latexdiff-vc is a wrapper script that applies latexdiff to a file, or multiple files under version control (CVS or RCS), and optionally runs the sequence of "latex" and "dvips" or "pdflatex" commands necessary to produce pdf or postscript output of the difference tex file(s). It can also be applied to a pair of files to automatise the generation of difference file in postscript or pdf format.

OPTIONS

--rcs, --svn, or --cvs
    Set the version system. If no version system is specified, latexdiff-vc will venture a guess.

    latexdiff-cvs and latexdiff-rcs are variants of latexdiff-vc which default to the respective versioning system. However, this default can still be overridden using the options above.

-r, -r rev or --revision, --revision=rev
    Choose revision (under RCS, CVS or SVN). One or two -r options can be specified, and the resulting in different behaviour:

    latexdiff-vc -r file.tex ...
        compares file.tex with the most recent version checked into RCS.

    latexdiff-vc -r rev1 file.tex ...
        compares file.tex with revision rev1.

    latexdiff-vc -r rev1 -r rev2 file.tex ...
        compares revisions rev1 and rev2 of file.tex.

        Multiple files can be specified for all of the above options. All files must have the extension ".tex", though.

    latexdiff-vc  old.tex new.tex
        compares two files.

    The name of the difference file is generated automatically and reported to stdout.

-d or --dir  -d path or --dir=path
    Rather than appending the string "diff" and optionally the version numbers given to the output-file, this will prepend a directory name "diff" to the original filename, creating the directory and subdirectories should they not exist already. This is particularly useful in order to clone a complete directory hierarchy. Optionally, a pathname path can be specified, which is prepended instead of "diff".

--ps or --postscript
    Generate postscript output from difference file. This will run the sequence "latex; latex; dvips" on the difference file (do not use this option in the rare cases, where three "latex" commands are required if you care about correct referencing). If the difference file contains a "\bibliography" tag, run the sequence "latex; bibtex; latex; latex; dvips".

--pdf
    Generate pdf output from difference file using "pdflatex". This will run the sequence "pdflatex; pdflatex" on the difference file, or "pdflatex; bibtex; pdflatex; pdflatex" for files requiring bibtex.

--force
    Overwrite existing diff files without asking for confirmation. Default behaviour is to ask for confirmation before overwriting an existing difference file.

--help or -h
    Show help text

--version
    Show version number

All other options are passed on to "latexdiff".

SEE ALSO
latexdiff

PORTABILITY
latexdiff-vc uses external commands and is therefore limited to Unix-like systems. It also requires the RCS version control system and latex to be installed on the system. Modules from Perl 5.8 or higher are required.

AUTHOR
Copyright (C) 2005 Frederik Tilmann

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License Version 2 Contributors: S Utcke, H Bruyninckx